## org.apache.solr.client.solrj.impl
Class NoOpResponseParser

    java.lang.Object
      org.apache.solr.client.solrj.ResponseParser
          org.apache.solr.client.solrj.impl.NoOpResponseParser

    public class NoOpResponseParser

extends ResponseParser

Simply puts the entire response into an entry in a NamedList. This parser isn't parse response into a QueryResponse.

Constructor Summary
`NoOpResponseParser()`
`NoOpResponseParser(String writerType)`

Method Summary
`String` `getWriterType()`
`NamedList<Object>` `processResponse(InputStream body, String encoding)`
`NamedList<Object>` `processResponse(Reader reader)`
`void` `setWriterType(String writerType)`

Methods inherited from class org.apache.solr.client.solrj.ResponseParser
`getContentType, getVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoOpResponseParser

    public NoOpResponseParser()

### NoOpResponseParser

    public NoOpResponseParser(String writerType)

Method Detail

### getWriterType

    public String getWriterType()

  Specified by:
    `getWriterType` in class `ResponseParser`

### setWriterType

    public void setWriterType(String writerType)

### processResponse

    public NamedList<Object> processResponse(Reader reader)

  Specified by:
    `processResponse` in class `ResponseParser`

### processResponse

    public NamedList<Object> processResponse(InputStream body,
                                             String encoding)

  Specified by:
    `processResponse` in class `ResponseParser`

Copyright © 2000-2014 Apache Software Foundation. All Rights Reserved.